/** @type {import('next').NextConfig} */
import createNextIntlPlugin from  'next-intl/plugin';
import path from 'path';
const withNextIntl = createNextIntlPlugin();

/** @type {import('next').NextConfig} */
const nextConfig = {
    reactStrictMode: true,
    sassOptions: {
      prependData: `@import "./src/styles/variables.scss";`
    }
};

export default withNextIntl(nextConfig);
